GraphDatabaseConfigurationMigrator (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.configuration
Class GraphDatabaseConfigurationMigrator

    java.lang.Object
      org.neo4j.kernel.configuration.BaseConfigurationMigrator
          org.neo4j.kernel.configuration.GraphDatabaseConfigurationMigrator

All Implemented Interfaces:
  ConfigurationMigrator

    public class GraphDatabaseConfigurationMigrator

extends BaseConfigurationMigrator

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.kernel.configuration.BaseConfigurationMigrator
`BaseConfigurationMigrator.Migration, BaseConfigurationMigrator.PropertyRenamed, BaseConfigurationMigrator.SpecificPropertyMigration`

Constructor Summary
`GraphDatabaseConfigurationMigrator()`

Method Summary
`static boolean` | `configValueContainsMultipleParameters(String configValue)` Deprecated.
`static Args` | `parseMapFromConfigValue(String name, String configValue)` Deprecated.

Methods inherited from class org.neo4j.kernel.configuration.BaseConfigurationMigrator
`add, apply, propertyRenamed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphDatabaseConfigurationMigrator

    public GraphDatabaseConfigurationMigrator()

Method Detail

### configValueContainsMultipleParameters

    @Deprecated
    public static boolean configValueContainsMultipleParameters(String configValue)

  Deprecated.

### parseMapFromConfigValue

    @Deprecated
    public static Args parseMapFromConfigValue(String name,
                                                          String configValue)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.